using AyCode.Core.Tests.Internal.Entities;
using AyCode.Database.Tests.Users;

namespace AyCode.Database.Tests.Internal.Users;

//[TestClass]
public sealed class UserDalTests : AcUserDalTestBase<UserDal, UserDbContext, User, Profile, UserToken, Company, UserToCompany, Address, EmailMessage>
{
    [DataTestMethod]
    [DataRow("test@tiam.hu")]
    public override void AcBase_GetUserByEmail_ReturnsUser_WhenUserExists(string email)
        => base.AcBase_GetUserByEmail_ReturnsUser_WhenUserExists(email);

    [DataTestMethod]
    [DataRow("540271F6-C604-4C16-8160-D5A7CAFEDF00")]
    public override void AcBase_GetUserById_ReturnsUser_WhenUserExists(string userIdString)
        => base.AcBase_GetUserById_ReturnsUser_WhenUserExists(userIdString);

    [DataTestMethod]
    [DataRow(["e31044d7-1771-4a32-8dd9-6f9853ed53c6", "0a831191-70a3-4504-9ec4-c5902affaba7", "8eed080c-d2ce-4cc3-bcfe-2268c220bba7", "addUser_test9432@tiam.hu"])]
    public override async Task AcBase_AddUserTest(string[] userIdProfileIdAddressIdEmailStrings)
        => await base.AcBase_AddUserTest(userIdProfileIdAddressIdEmailStrings);
    
}